package com.tencent.mm.console;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.console.Shell.a;
import com.tencent.mm.platformtools.ae;
import com.tencent.mm.sdk.platformtools.ab;

class Shell$10 implements a {
    Shell$10() {
    }

    public final void s(Intent intent) {
        AppMethodBeat.i(16118);
        ae.giD = intent.getStringExtra("acc");
        ae.giE = intent.getStringExtra("pass");
        ab.w("MicroMsg.Shell", "dkwt shell [%s %s]", new Object[]{ae.giD, ae.giE});
        AppMethodBeat.o(16118);
    }
}
